Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class NumberListParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.NumberParser
              org.apache.batik.parser.NumberListParser

All Implemented Interfaces:
  Localizable, Parser

    public class NumberListParser

extends NumberParser

This class implements an event-based parser for the SVG Number list values.

Field Summary
`protected NumberListHandler` | `numberListHandler` The number list handler used to report parse events.

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`NumberListParser()` Creates a new instance of NumberListParser

Method Summary
`protected void` | `doParse()` Parses the given reader.
`NumberListHandler` | `getNumberListHandler()` Returns the number list handler in use.
`void` | `setNumberListHandler(NumberListHandler handler)` Allows an application to register a number list handler.

Methods inherited from class org.apache.batik.parser.NumberParser
`buildFloat, parseFloat`

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numberListHandler

    protected NumberListHandler numberListHandler

  The number list handler used to report parse events.

Constructor Detail

### NumberListParser

    public NumberListParser()

  Creates a new instance of NumberListParser

Method Detail

### setNumberListHandler

    public void setNumberListHandler(NumberListHandler handler)

  Allows an application to register a number list handler.

  If the application does not register a handler, all events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The number list handler.

### getNumberListHandler

    public NumberListHandler getNumberListHandler()

  Returns the number list handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           IOException

  Parses the given reader.

  Specified by:
    `doParse` in class `AbstractParser`
  Throws:
    `ParseException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.